import request from '@/utils/request'
export function getAllsupport(params) {
  return request({
    url: '/api/technicalSupport/getTechnicalSupportByWrapper',
    method: 'get',
    params
  })
}
export function deliverList() {
  return request({
    url: '/api/notice/findAllSalesman',
    method: 'get'
  })
}
export function deliverListRev2() {
  return request({
    url: '/api/customer/findOthersInThisDept',
    method: 'get'
  })
}
// 转交销售人员
export function changeMan(data) {
  return request({
    url: '/api/customer/changeSaleId',
    method: 'put',
    data
  })
}
// 指派售前人员弹窗接口
export function assignPresales(data) {
  return request({
    url: '/api/technicalSupport/submitTechnicalSupport',
    method: 'post',
    data
  })
}
// 项目成交记录接口
export function findWhereDeal(params) {
  return request({
    url: '/api/custProject/findProjectByIdWhereDeal',
    method: 'get',
    params
  })
}
// 废弃弹窗接口
export function bandonmentRequest(data) {
  return request({
    url: '/api/customer/giveUpCustomer',
    method: 'put',
    data
  })
}
